import QtQuick 1.0
import "globals.js" as Globals

Image {
    property string taskName: ""

    width: 720
    height: 576
    source: Globals.gBackgrPicture

    Header {
        id: header
        x: 52
        y: 46
    }

    Bullet {
        id: bullet1
        dPos1: header.y + header.height
        dPos2: 155
        dPos3: 300
        x: 430
    }

    Bullet {
        id: bullet2
        dPos1: header.y + header.height
        dPos2: bullet1.dPos2 + height + 7
        dPos3: bullet1.dPos3 + height + 7
        x: bullet1.x        
    }

    Bullet {
        id: bullet3
        dPos1: header.y + header.height
        dPos2: bullet2.dPos2 + height + 7
        dPos3: bullet2.dPos3 + height + 7
        x: bullet1.x        
    }

    Bullet {
        id: bullet4
        dPos1: header.y + header.height
        dPos2: bullet3.dPos2 + height + 7
        dPos3: bullet3.dPos3 + height + 7
        x: bullet1.x        
    }

    ImageBox {
        id: imagebox
        dPos1: -400
        dPos2: 30
        x: 30
        y: 142
    }

    Timer{
       interval: 9000
       repeat: true
       running: true
       triggeredOnStart: true
       onTriggered: {
           var strLine = Globals.readLine(SLRunTime.taskName);
           var strArray = strLine.toString().split("|");

           bullet1.strText = strArray[0].toString();
           bullet1.state = "state1";

           bullet2.strText = strArray[1].toString();
           bullet2.state = "state1";

           bullet3.strText = strArray[2].toString();
           bullet3.state = "state1";

           bullet4.strText = strArray[3].toString();
           bullet4.state = "state1";

           imagebox.strFileImage = strArray[4].toString();
           imagebox.state = "state1";
       }
    }   
}
