import QtQuick 1.0
import "globals.js" as Globals

Rectangle {
    id: headerrectangle
    width: 627
    height: 34
    radius: 5
    smooth: true

    gradient: Gradient {
        GradientStop {
            position: 0
            color: Globals.gBaseColor1
        }

        GradientStop {
            position: 0.49
            color: Globals.gBaseColor2
        }

        GradientStop {
            position: 0.99
            color: Globals.gBaseColor1
        }
   }

    Text {
        x: headerrectangle.width/2 - width/2
        text: Globals.gHeaderText
        color: Globals.gTextColor
        style: Text.Outline
        styleColor: Globals.gOutLineColor
        opacity: 1
        smooth: true
        font.bold: true
        font.pixelSize: 23
        font.family: "Apple Chancery"
    }
}
